set
         e       index of days /e1*e365/
         t       index of hours /t1*t24/
         b       index of buses /b1*b8/
         jj      index of soc segments /jj1*jj160/
         col     column /col1/
         rz      reserve zones /rz1*rz4/
;

table lmp2012_rt(e,t,b) hourly rt lmp for 2012
*$call =xls2gms r=2012!a1:k8761 i=ISONE_LMP_RT_GAMS_input.xls o=ISONE_LMP_2012.inc
$include ISONE_LMP_2012.inc
;

table lmp2013_rt(e,t,b) hourly rt lmp for 2013
*$call =xls2gms r=2013!a1:k8761 i=ISONE_LMP_RT_GAMS_input.xls o=ISONE_LMP_2013.inc
$include ISONE_LMP_2013.inc
;

table lmp2014_rt(e,t,b) hourly rt lmp for 2014
*$call =xls2gms r=2014!a1:k8761 i=ISONE_LMP_RT_GAMS_input.xls o=ISONE_LMP_2014.inc
$include ISONE_LMP_2014.inc
;

table lmp2015_rt(e,t,b) hourly rt lmp for 2015
*$call =xls2gms r=2015!a1:k8761 i=ISONE_LMP_RT_GAMS_input.xls o=ISONE_LMP_2015.inc
$include ISONE_LMP_2015.inc
;

table lmp2015_da(e,t,b) hourly da lmp for 2015
*$call =xls2gms r=2015!a1:k8761 i=ISONE_LMP_DA_GAMS_input.xls o=ISONE_DALMP_2015.inc
$include ISONE_DALMP_2015.inc
;

table tmsr2015_rt(e,t,rz) hourly da lmp for 2015
*$call =xls2gms r=2015!a1:k8761 i=ISONE_TMSR_RT_GAMS_input.xls o=ISONE_RTTMSR_2015.inc
$include ISONE_RTTMSR_2015.inc
;

parameter tmsr_2015(e,t,b);
tmsr_2015(e,t,'b1') = tmsr2015_rt(e,t,'rz3');
tmsr_2015(e,t,'b2') = tmsr2015_rt(e,t,'rz3');
tmsr_2015(e,t,'b3') = tmsr2015_rt(e,t,'rz3');
tmsr_2015(e,t,'b4') = tmsr2015_rt(e,t,'rz1');
tmsr_2015(e,t,'b5') = tmsr2015_rt(e,t,'rz3');
tmsr_2015(e,t,'b6') = tmsr2015_rt(e,t,'rz3');
tmsr_2015(e,t,'b7') = tmsr2015_rt(e,t,'rz3');
tmsr_2015(e,t,'b8') = tmsr2015_rt(e,t,'rz2');

table C_p001_table(jj,col) es cost curve
*$call =xls2gms r=P1!a1:b2 i=ES_cost_curve.xls o=C_p001.inc
$include C_p001.inc
;

table C_p002_table(jj,col) es cost curve
*$call =xls2gms r=P2!a1:b3 i=ES_cost_curve.xls o=C_p002.inc
$include C_p002.inc
;

table C_p004_table(jj,col) es cost curve
*$call =xls2gms r=P4!a1:b5 i=ES_cost_curve.xls o=C_p004.inc
$include C_p004.inc
;

table C_p008_table(jj,col) es cost curve
*$call =xls2gms r=P8!a1:b9 i=ES_cost_curve.xls o=C_p008.inc
$include C_p008.inc
;

table C_p016_table(jj,col) es cost curve
*$call =xls2gms r=P16!a1:b17 i=ES_cost_curve.xls o=C_p016.inc
$include C_p016.inc
;

table C_p040_table(jj,col) es cost curve
*$call =xls2gms r=P40!a1:b41 i=ES_cost_curve.xls o=C_p040.inc
$include C_p040.inc
;

table C_p080_table(jj,col) es cost curve
*$call =xls2gms r=P80!a1:b81 i=ES_cost_curve.xls o=C_p080.inc
$include C_p080.inc
;

table C_p160_table(jj,col) es cost curve
*$call =xls2gms r=P160!a1:b161 i=ES_cost_curve.xls o=C_p160.inc
$include C_p160.inc
;

